Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions(), NavigationItem(False), CreatableItem(False)> _
Public Class StorageMoveTypeYear
    Inherits BaseObject
    Private _StorageMoveType As StorageMoveType
    Private _DebitChartOfAccounts As ChartOfAccounts '-- Tartozik
    Private _CreditChartOfAccounts As ChartOfAccounts '-- Követel
    Private _ProductsGroups As ProductsGroups ' -- Termék csoport
    <RuleRequiredField("StorageMoveType-ProductsGroups", DefaultContexts.Save)> _
    Property ProductsGroups As ProductsGroups
        Get
            Return _ProductsGroups
        End Get
        Set(ByVal value As ProductsGroups)
            SetPropertyValue("ProductsGroups", _ProductsGroups, value)
        End Set
    End Property

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        ' This constructor is used when an object is loaded from a persistent storage.
        ' Do not place any code here or place it only when the IsLoading property is false:
        ' if (!IsLoading){
        '   It is now OK to place your initialization code here.
        ' }
        ' or as an alternative, move your initialization code into the AfterConstruction method.
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
    End Sub

    <Association("StorageMoveType-StorageMoveTypeYear", GetType(StorageMoveType))> _
    Property StorageMoveType As StorageMoveType
        Get
            Return _StorageMoveType
        End Get
        Set(value As StorageMoveType)
            SetPropertyValue("StorageMoveType", _StorageMoveType, value)
        End Set
    End Property
    <RuleRequiredField("StorageMoveType-DebitChartOfAccounts", DefaultContexts.Save)> _
    Property DebitChartOfAccounts As ChartOfAccounts
        Get
            Return _DebitChartOfAccounts
        End Get
        Set(ByVal value As ChartOfAccounts)
            SetPropertyValue("DebitChartsOfAccounts", _DebitChartOfAccounts, value)
        End Set
    End Property
    <RuleRequiredField("StorageMoveType-CreditChartOfAccounts", DefaultContexts.Save)> _
    Property CreditChartOfAccounts As ChartOfAccounts
        Get
            Return _CreditChartOfAccounts
        End Get
        Set(ByVal value As ChartOfAccounts)
            SetPropertyValue("CreditChartsOfAccounts", _CreditChartOfAccounts, value)
        End Set
    End Property

End Class
